Subject: bug#16105: closed (Re: bug#16105: (setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Oct 2020 12:12:01 +0000

Your bug report

#16105: (setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16105: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16105
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16105: (setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.
From: Stefan Kangas <[email-masked]>
To: "Jan D." <[email-masked]>
Cc: Keith David Bershatsky <[email-masked]>, [email-masked]
Date: Thu, 1 Oct 2020 05:11:13 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> "Jan D." <[email-masked]> writes:
>
>> Hello.
>>
>> Please don't remove the debbugs address.
>>
>>> 8 jun 2014 kl. 19:30 skrev Keith David Bershatsky <[email-masked]>:
>>>
>>> Jan:
>>>
>>> I looked through my old e-mails from an unrelated bug and discovered that I
>>> build with gcc, whereas you build with clang, and on one particular occasion
>>> that made the difference between the presence of a bug visible on my machines.
>>
>> In this case it does not. I built with gcc and clang, and I can't reproduce this.
>
> This was reported 6 years ago, and it seemed to be unreproducible by
> others.  Are you still seeing this on a recent version of Emacs?
>
> If I don't hear back from you within a couple of weeks, I'll just
> close this bug as unreproducible.

More information was requested, but none was given within 7 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: (setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.
From: Keith David Bershatsky <[email-masked]>
To: [email-masked]
Date: Tue, 10 Dec 2013 15:06:16 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

(setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.

Step 1:  Place (setq ns-auto-hide-menu-bar t) inside the init.el file.

Step 2:  Auto hide the OSX dock so that it comes up with Ctrl+F3 or with the mouse, and then hides again automatically when not in use.  Place the Emacs application icon on the Dock.

Step 3:  Launch Emacs using OSX 10.6.8 Snow Leopard.

Step 4:  Command+Tab to any other open application.

Step 5:  Ctrl+F3, type Emacs, RET

Step 6:  After you have switched back to Emacs, switch again to another application with Command+Tab -- the dock is visible full-time.

Thanks,

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

In GNU Emacs 24.3.50.1 (x86_64-apple-darwin10.8.0, NS apple-appkit-1038.36)
 of 2013-10-05 on MP.local
Bzr revision: 114534 [email-masked]
Windowing system distributor `Apple', version 10.3.1038
Configured using:
 `configure --with-ns'

Important settings:
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  hl-line-mode: t
  global-linum-mode: t
  delete-selection-mode: t
  yas-global-mode: t
  desktop-save-mode: t
  tabbar-mode: t
  global-highlight-parentheses-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
o n SPC <M-S-right> <M-S-right> <M-S-right> <M-S-right> 
<M-S-right> <backspace> <M-S-right> <M-S-right> <backspace> 
w i t h SPC C o m m a n d SPC + SPC t <backspace> T 
a b <left> <left> <left> <left> <right> <backspace> 
<left> <backspace> <down> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <M-left> <M-left> <M-left> <M-left> <M-left> 
<down> <down> <down> <up> <up> <up> <s-right> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> <M-left> 
<M-left> <M-left> <M-S-right> <M-S-right> <M-S-left> 
<backspace> <down> <down> <down> <down> <down> <M-left> 
<M-left> <M-right> <M-S-right> <M-S-right> <M-S-left> 
<backspace> <down> <down> <down> <down> <s-right> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> <M-left> 
<M-left> <s-backspace> w i t h SPC <M-right> <M-right> 
<M-right> <M-right> <M-right> <M-right> <M-right> <M-right> 
<M-right> <M-right> <M-right> <M-right> <M-right> <M-right> 
<M-right> <down> <right> <down> <down> <M-right> <M-right> 
<M-right> <M-right> <M-right> <M-right> <M-right> a 
n y SPC <s-backspace> o t h e r SPC <M-left> <M-left> 
<M-left> <M-left> <M-right> <M-right> <down> <down> 
<left> <M-S-right> E m a c s <down> <down> <M-right> 
<down> <down> <up> <M-left> <M-left> <M-left> <M-left> 
<M-left> <M-left> <M-left> <M-left> <M-left> SPC <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <s-down> <S-up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <S-s-down> <backspace> 
C-c C-c <down> <up> <escape> x e m a c s - b u g <return> 
<backspace> <backspace> <backspace> r e p o r t <return> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> r e p o r t - e m a c s <return> 
<return> <help-echo> <down-mouse-2> <mouse-1> h e l 
l o <return> s-w k s-N s-w k <escape> x r e p o r t 
- e m a c s - b u g <return>

Recent messages:
Mark set
[k]ill or [s]ave draft?
Loading msgdb for +/Users/HOME/.0.data/.0.emacs/.0.mail/msgdb/imap/mail.lawlist.com/lawlist/INBOX.Drafts/spool...done
Loading msgdb for %INBOX.Drafts...done
Making change-major-mode-hook buffer-local while locally let-bound!
Type C-c C-x C-z to exit MIME mode, and type C-c C-x ? to get help.
Saving...done
Mark set
[k]ill or [s]ave draft?
Loading msgdb for +/Users/HOME/.0.data/.0.emacs/.0.mail/msgdb/imap/mail.lawlist.com/lawlist/INBOX.Drafts/spool...done

Load-path shadows:
/Users/HOME/.0.data/.0.emacs/elpa/flim/md4 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/md4
/Users/HOME/.0.data/.0.emacs/elpa/flim/hex-util hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/hex-util
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl-ntlm hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl-ntlm
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl-digest hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl-digest
/Users/HOME/.0.data/.0.emacs/elpa/flim/sasl-cram hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/sasl-cram
/Users/HOME/.0.data/.0.emacs/elpa/flim/ntlm hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/ntlm
/Users/HOME/.0.data/.0.emacs/elpa/flim/hmac-md5 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/hmac-md5
/Users/HOME/.0.data/.0.emacs/elpa/flim/hmac-def hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/net/hmac-def
/Users/HOME/.0.data/.0.emacs/elpa/wanderlust/rfc2368 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/mail/rfc2368
/Users/HOME/.0.data/.0.emacs/elpa/wanderlust/utf7 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/gnus/utf7
/Users/HOME/.0.data/.0.emacs/elpa/semi/smime hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/gnus/smime
/Users/HOME/.0.data/.0.emacs/elpa/el-get/.dir-locals hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/gnus/.dir-locals
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-pgp5 hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-pgp5
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-pgp hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-pgp
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-parse hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-parse
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-gpg hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-gpg
/Users/HOME/.0.data/.0.emacs/elpa/semi/pgg-def hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/pgg-def
/Users/HOME/.0.data/.0.emacs/elpa/utilities/longlines hides /Users/HOME/.0.data/.0.emacs/Emacs.app/Contents/Resources/lisp/obsolete/longlines

Features:
(shadow emacsbug message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mailabbrev gmm-utils mailheader wl-score elmo-internal
mule-util network-stream starttls smtp sasl sasl-anonymous sasl-login
sasl-plain ssl wl-mime mime-edit pgg-parse pccl pccl-20 signature
mime-setup mail-mime-setup semi-setup mime-pgp pgg-def mime-play
filename mime-image modb-legacy modb-standard elmo-imap4 time-stamp
server disp-table whitespace hl-line init-wl wl-demo wl-draft
eword-encode wl-template sendmail mail-utils elmo-net elmo-cache
elmo-map elmo-dop wl-news wl-address wl-thread wl-folder wl wl-e21
wl-spam wl-action wl-summary wl-refile wl-util pp elmo-flag
elmo-localdir wl-message elmo-mime mmelmo-buffer mmelmo-imap mime-view
mime-conf calist semi-def mmimap mime-parse mmbuffer mmgeneric
elmo-multi elmo-spam elsp-header elsp-generic elmo elmo-signal
wl-highlight wl-vars wl-version epg-config elmo-msgdb modb
modb-generic modb-entity luna mime elmo-util emu invisible inv-23 poem
poem-e20 poem-e20_3 utf7 eword-decode mel mime-def alist std11
mcharset mcs-20 mcs-e20 pces pces-e20 pces-20 broken pcustom elmo-date
elmo-vars elmo-version path-util poe pym static apel-ver product
w3m-load mime-w3m w3m browse-url doc-view jka-compr image-mode
w3m-hist w3m-fb bookmark-w3m w3m-ems wid-edit w3m-ccl ccl w3m-favicon
w3m-image w3m-proc w3m-util multiple-cursors-autoloads package
ps-print ps-def lpr bbdb-autoloads bbdb timezone linum flyspell ispell
auto-save-buffers-enhanced delsel savehist centered-cursor-mode
calendar-lawlist lawlist-calendar dired-aux dired yasnippet help-mode
debug multiple-cursors mc-separate-operations rectangular-region-mode
mc-mark-more thingatpt mc-cycle-cursors mc-edit-lines
multiple-cursors-core rect saveplace init-auctex tex-site desktop
frameset init-tabbar tabbar init-org derived cl-macs gv edmacro kmacro
org-capture org-mks org-agenda org-toodledo mailcap-toodledo
lawlist-tls http-post-simple cl cl-loaddefs cl-lib url-http tls
url-auth mail-parse rfc2231 rfc2047 rfc2045 ietf-drums url-gw url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse auth-source eieio eieio-core gnus-util
mm-util mail-prsvr password-cache url-vars mailcap json xml w3mexcerpt
org byte-opt bytecomp byte-compile cconv advice help-fns ob-tangle
ob-ref ob-lob ob-table org-footnote org-src ob-comint ob-keys
org-pcomplete pcomplete comint ansi-color ring org-list org-faces
org-entities noutline outline easy-mmode org-version ob-emacs-lisp ob
org-compat org-macs ob-eval org-loaddefs format-spec find-func
cal-menu calendar cal-loaddefs hideshow easymenu highlight-parentheses
redo time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
ns-win tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process ns multi-tty emacs)